<cffeed action="read" source="http://googleblog.blogspot.com/atom.xml" query="feed" properties="feedMetaData" >

<!--- it takes a few lines of code just to get the title of the feed --->
<cfif IsDefined("feedMetaData.title")>
	<cfif IsStruct(feedMetaData.title)>
		<h3><cfoutput>#feedMetaData.title.value#</cfoutput></h3>
	<cfelse>
		<h3><cfoutput>#feedMetaData.title#</cfoutput></h3>
	</cfif>
</cfif>

<ul>
<cfoutput query="feed">
	<li>
		<cfset feed_link = "">
		<cfif Len(feed.linkhref)>
			<cfif ListLen(feed.linkhref) GT 1>
				<cfif ListLen(feed.linktype) NEQ ListLen(feed.linkhref)>
					<!--- since the type attribute is NOT required by the ATOM
						spec we can't assume that it's there, and if the lists
						don't match length who knows which one goes where --->
					<cfset feed_link = ListFirst(feed.linkhref)>	
				<cfelse>	
					<cfloop from="1" to="#ListLen(feed.linktype)#" index="i">
						<cfif Trim(LCase(ListGetAt(feed.linktype, i))) IS "text/html">
							<cfset feed_link = ListGetAt(feed.linkhref, i)>	
						</cfif>
					</cfloop>
				</cfif>
			<cfelse>
				<!--- we only have one item link so lets use it --->
				<cfset feed_link = feed.linkhref>
			</cfif>
		<cfelseif Len(feed.rsslink)>
			<cfset feed_link = feed.rsslink>
		</cfif>
		<cfif Len(feed_link)><a href="#XmlFormat(feed_link)#"></cfif>#feed.title#<cfif Len(feed_link)></a></cfif>
	</li>
</cfoutput>
</ul>


<cfdump var="#feedMetaData#" expand="false">
<cfdump var="#feed#" expand="false">
