<cfparam name="url.id" type="integer" default="0">
<cfinclude template="includes/header.cfm">
<h1>Our Company News</h1>
<cfquery datasource="#application.ds#" name="news">
	SELECT id, title, story, date_published
	FROM news
	<cfif url.id>
		WHERE id = <cfqueryparam value="#url.id#" cfsqltype="cf_sql_integer">
	</cfif>
	ORDER BY date_published DESC
	LIMIT 15
</cfquery>

<cfoutput query="news">
	<h1><a href="news.cfm?id=#news.id#">#news.title#</a></h1>
	<div class="story">#news.story#</div>
	<div class="date">#DateFormat(news.date_published, "long")# @ #TimeFormat(news.date_published, "h:mm tt")#</div>
</cfoutput>



<cfinclude template="includes/footer.cfm">